# -*- coding: utf-8 -*-

import os
import glob

try:
    from future_fstrings import fstring_decode
except ImportError:
    print("Please install future-strings first")
    print(" => pip install future-fstrings")
    import sys
    sys.exit()

def process(filename):
    f = open(filename,'a+')
    data = f.readlines()
    remove = []
    i = 0 
    for l in data:
        if l.startswith('# -*- coding: future_fstrings -*-'):
            #print("Found coding %s line %s" % (filename,i))
            remove.append(i)

        if l.startswith('from __future__ import unicode_literals'):
            #print("Found import %s line %s" % (filename,i))
            remove.append(i)
        i=i+1
    if remove:
        print("To patch => %s: %s" % (filename,remove))
    buf = "# -*- coding: utf-8 -*-\n"
    i = 0
    for k in data:
        if i not in remove:
            buf = buf + data[i]
        i = i + 1
    #f.truncate()
    f.seek(0)
    f.truncate()
    text, _  = fstring_decode(buf)
    f.write(text.encode('UTF-8'))
    f.close()

def find_py(path):
    result = []
    for dirpath, dirs, files in os.walk("."):
        found = glob.glob(dirpath+'/*.py')
        if found:
            result = result + found
    return result

if __name__ == "__main__":
    found =find_py('.')
    for k in found:process(k)
    print("Don't forget to remove future-fstrings when everything is Ok")
    
